# Cancel a limit order

The cancellation of an NFT order works in the same way as the [cancelation of "fungible tokens" order](/api/augustusrfq/api-references/fungible-tokens/cancel-a-limit-order.md)

#### Transaction parameters:

`orderHash`: limit order unique id&#x20;

#### Example&#x20;

{% tabs %}
{% tab title="Typescript" %}

```typescript
/* eslint-disable @typescript-eslint/no-unused-vars */
import * as dotenv from 'dotenv';
import axios from 'axios';
import { ethers } from 'ethers';
import {
  constructPartialSDK,
  constructEthersContractCaller,
  constructAxiosFetcher,
  constructCancelLimitOrder,
  constructGetLimitOrders,
} from '..';

dotenv.config();

const maker = new ethers.Wallet(process.env.PK).connect(
  ethers.getDefaultProvider(137)
);

const fetcher = constructAxiosFetcher(axios);

// provider must have write access to account
// this would usually be wallet provider (Metamask)
const provider = maker;
const contractCaller = constructEthersContractCaller(
  {
    ethersProviderOrSigner: provider,
    EthersContract: ethers.Contract,
  },
  maker.address
);

const paraSwapLimitOrderSDK = constructPartialSDK(
  {
    chainId: 137,
    fetcher,
    contractCaller,
  },
  constructGetLimitOrders,
  constructCancelLimitOrder
);

async function run() {
  const deleteTx: ethers.ContractTransaction =
    await paraSwapLimitOrderSDK.cancelLimitOrder(
      '0x045cf1a02e39cc59d2027d3cb9ea6d832d6e0f2904cc1f1afab39061eb589d05'
    );

  console.log('deleteTx', deleteTx);
}

run();
s
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.velora.xyz/api/augustusrfq/api-references/nft/cancel-a-limit-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
